Package org.apache.cayenne.util

## Class ProcedureResultBuilder<T>

- java.lang.Object
- - org.apache.cayenne.util.QueryResultBuilder
  - - org.apache.cayenne.util.ProcedureResultBuilder<T>

-     public class ProcedureResultBuilder<T>
      extends QueryResultBuilder

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Class<T>` | `resultClass` |

    - ### Fields inherited from class org.apache.cayenne.util.QueryResultBuilder

      `queryResult`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProcedureResult<T>` | `build()` |
    `static ProcedureResultBuilder` | `builder()` |
    `static ProcedureResultBuilder` | `builder​(int expectedSize)` |
    `static <T> ProcedureResultBuilder<T>` | `builder​(int expectedSize, Class<T> resultClass)` |
    `static <T> ProcedureResultBuilder<T>` | `builder​(Class<T> resultClass)` |

    - ### Methods inherited from class org.apache.cayenne.util.QueryResultBuilder

      `addBatchUpdateResult, addSelectResult, empty, singleObjectSelect, singleSelect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resultClass

          protected Class<T> resultClass

  - ### Method Detail

    - #### builder

          public static ProcedureResultBuilder builder()

    - #### builder

          public static <T> ProcedureResultBuilder<T> builder​(Class<T> resultClass)

    - #### builder

          public static ProcedureResultBuilder builder​(int expectedSize)

    - #### builder

          public static <T> ProcedureResultBuilder<T> builder​(int expectedSize,
                                                              Class<T> resultClass)

    - #### build

          public ProcedureResult<T> build()

      Overrides:
        `build` in class `QueryResultBuilder`